Bug 469579 - Review Request: skychart - Planetarium software for the advanced amateur astronomer
Review Request: skychart - Planetarium software for the advanced amateur astr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 15:50 EST by Lubomir Rintel
Modified: 2008-11-05 20:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 20:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2008-11-02 15:50:16 EST
SPEC: http://netbsd.sk/~lkundrak/SPECS/skychart.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/skychart-3.0.1.5-1.20081026svn.el5.src.rpm

Description:

This program enables you to draw sky charts, making use of the data in 16
catalogs of stars and nebulae. In addition the position of planets,
asteroids and comets are shown.

The purpose of this program is to prepare different sky maps for a
particular observation. A large number of parameters help you to choose
specifically or automatically which catalogs to use, the colour and the
dimension of stars and nebulae, the representation of planets, the display
of labels and coordinate grids, the superposition of pictures, the
condition of visibility and more. All these features make this celestial
atlas more complete than a conventional planetarium.
Comment 1 Marek Mahut 2008-11-02 15:59:28 EST
Taking for review.
Comment 2 Lubomir Rintel 2008-11-02 16:20:06 EST
FYI: This needs fpc 2.2.2 and lazarus 0.9.26 which are in F-10 and not in other branches (yet). Builds in fedora-devel-i386 mock, RPMlint silent:

$ cd /var/lib/mock//fedora-development-i386/result
$ rpmlint -i *.rpm
$
Comment 3 Marek Mahut 2008-11-04 14:43:17 EST
Package reviewed and looks correct. APPROVED.
Comment 4 Lubomir Rintel 2008-11-04 15:35:30 EST
Wow, that easy. I'll inform you once things go wrong with the package once I import it! :) I heard it doesn't build on ppc64! :)

New Package CVS Request
=======================
Package Name: skychart
Short Description: Planetarium software for the advanced amateur astronomer
Owners: lkundrak
Branches: F-9 F-10 EL-5
Comment 5 Kevin Fenzi 2008-11-05 17:30:32 EST
Note that if it fails to build on ppc64, you MUST file a bug against the ppc64 blocker. ;) 

cvs done.
Comment 6 Lubomir Rintel 2008-11-05 20:44:44 EST
Imported and built. Thanks!

Note You need to log in before you can comment on or make changes to this bug.